Bug 972272 - tgtd fails to start due to possible race condition (Fedora 19)
tgtd fails to start due to possible race condition (Fedora 19)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scsi-target-utils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Grover
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 01:12 EDT by Jason Montleon
Modified: 2013-06-17 00:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: scsi-target-utils-1.0.32-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 00:30:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2013-06-08 01:12:37 EDT
Description of problem:
Same issue as bug 848942 with the same fix, except that the included script has:
ExecStartPost=sleep 5 instead of ExecStartPost=/usr/bin/sleep 5, like https://bugzilla.redhat.com/show_bug.cgi?id=848942#c2 mentions is required.

Version-Release number of selected component (if applicable):
scsi-target-utils-1.0.32-4.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Installed Fedora 19
2. Set up an iscsi target
3. reboot

Actual results:
The server fails to start

Expected results:
The service should start

Additional info:
Seems literally all that is needed to fix this is to add the path for sleep
Comment 1 Fedora Update System 2013-06-08 14:50:45 EDT
scsi-target-utils-1.0.32-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/scsi-target-utils-1.0.32-5.fc19
Comment 2 Fedora Update System 2013-06-09 14:49:13 EDT
Package scsi-target-utils-1.0.32-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scsi-target-utils-1.0.32-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10457/scsi-target-utils-1.0.32-5.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-06-17 00:30:04 EDT
scsi-target-utils-1.0.32-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.